Name:           zenity
Version:        2.16.0
Release:        2%{?dist}
Summary: 	Display dialog boxes from shell scripts
Group:  	Applications/System 
License:        GPL
URL:            http://directory.fsf.org/zenity.html
Source:        http://ftp.gnome.org/pub/GNOME/sources/zenity/2.14/zenity-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: glib2-devel >= 2.7.3
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libglade2-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: scrollkeeper
BuildRequires: which
BuildRequires: gettext
BuildRequires: perl-XML-Parser

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Zenity lets you display Gtk+ dialog boxes from the command line and through 
shell scripts. It is similar to gdialog, but is intended to be saner. It comes 
from the same family as dialog, Xdialog, and cdialog.

%prep
%setup -q

%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang zenity


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x /usr/bin/scrollkeeper-update ]; then
  scrollkeeper-update -q
fi

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then
  scrollkeeper-update -q
fi

%files -f zenity.lang
%defattr(-,root,root,-)
%{_bindir}/gdialog
%{_bindir}/zenity
%{_datadir}/zenity
%{_datadir}/gnome/help/zenity
%{_datadir}/man/man1/zenity.1.gz
%{_datadir}/omf/zenity


%changelog
* Sat Dec 22 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Mar 14 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Nov  8 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-2
- Add a multilib hack (#214697)

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0
- Add missing BRs

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.91-1.fc6
- Update to 2.15.91

* Thu Aug  3 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.90-1.fc6
- Update to 2.15.90

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.15.2-4
- rebuild

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> 2.15.2-3
- Add missing BuildRequires

* Mon Jun  5 2006 Matthias Clasen <mclasen@redhat.com> 2.15.2-2
- Rebuild

* Tue May 16 2006 Matthias Clasen <mclasen@redhat.com> 2.15.2-1
- Update to 2.15.2
- Remove po/LINGUAS fixes

* Tue May  9 2006 Matthias Clasen <mclasen@redhat.com> 2.15.1-1
- Update to 2.15.1

* Tue Apr 18 2006 Matthias Clasen <mclasen@redhat.com> 2.14.1-4
- More package review feedback

* Mon Apr 17 2006 Matthias Clasen <mclasen@redhat.com> 2.14.1-3
- Incorporate package review feedback

* Tue Apr 11 2006 Matthias Clasen <mclasen@redhat.com> 2.14.1-2
- Initial revision
